<?php

namespace App\Helpers;

use Mpdf\Mpdf;
use Mpdf\MpdfException;

class PdfHelper
{
    /**
     * Requiere que el segundo argumento tenga definida la función generarHTML()
     * para crear la tabla con los datos del pedido que se inserta en el pdf.
     *
     * @return void
     * @throws MpdfException
     */
    public static function exportarPedidos($filepath, $pedidos)
    {
        $mpdf = new Mpdf();

        foreach ($pedidos as $pedido) {
            $html = $pedido->generarHTML();
            $mpdf->WriteHTML($html);
            $mpdf->AddPage();
        }

        $mpdf->Output($filepath, 'D');
    }
}
