<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Filtros\FiltroDeProducto;
use App\Http\Resources\ProductoResource;
use App\Producto;

class ProductoController extends Controller
{
    public function index(FiltroDeProducto $filtros, Request $request)
    {
        return ProductoResource::collection(Producto::filtrar($filtros)->paginate(Producto::getPaginar($request)));
    }

    public function show(Producto $producto)
    {
        return new ProductoResource($producto);
    }

}
