<?php

namespace App\Http\Controllers;

use App\GrupoDeCompra;
use App\Http\Resources\GrupoDeCompraReducido;
use App\Http\Resources\GrupoDeCompraResource;
use App\UserRole;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class UserController extends Controller
{
    public function rol(Request $request) {
        return ["rol" => UserRole::find($request->user()->role_id)->nombre];
    }

    public function grupoDeCompra(Request $request)
    {
        $user = Auth::user();
        $result = [ 'grupo_de_compra' => null, ];
        $grupo_de_compra = GrupoDeCompra::find($user->grupo_de_compra_id);
        switch (UserRole::findOrFail($user->role_id)->nombre) {
            case 'barrio':
                $result['grupo_de_compra'] = new GrupoDeCompraReducido($grupo_de_compra);
                break;
            case 'admin_barrio':
                $result['grupo_de_compra'] = new GrupoDeCompraResource($grupo_de_compra);
                break;
            case 'comision':
                break;
            default:
                abort(400, 'Rol invalido.');
        }
        return $result;
    }
}
