<?php

namespace App\Http\Middleware;

use App\UserRole;
use Closure;
use Illuminate\Http\Request;

class CheckRole
{
    /**
     * Handle the incoming request.
     *
     * @param Request  $request
     * @param Closure $next
     * @param string  $role
     * @return mixed
     */
    public function handle($request, Closure $next, $role)
    {
        $role_id = UserRole::where('nombre', $role)->first()->id;
        return $request->user()->role_id == $role_id ? $next($request)
            : response('No tenés permiso para esto.', 403);
    }
}
