<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProductosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('productos', function (Blueprint $table) {
            $table->id();
            $table->string('nombre');
            $table->double('precio', 10, 2);
            $table->string('categoria')->nullable();
            $table->integer('presentacion')->default(1);
            $table->integer('stock')->default(0);
            $table->foreignId('proveedor_id')->nullable();
            $table->foreignId('imagen_id')->nullable();
            $table->text('descripcion')->nullable();
            $table->boolean('apto_veganxs')->nullable();
            $table->boolean('apto_celiacxs')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('productos');
    }
}
