<?php

use App\User;
use App\UserRole;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AgregarRolAUser extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->foreignId('role_id');
        });

        $barrio = UserRole::where('nombre', 'barrio')->first();
        $admin_barrio = UserRole::where('nombre', 'admin_barrio')->first();
        $comision = UserRole::where('nombre', 'comision')->first();
        User::all()->each(function($user) use ($barrio, $comision, $admin_barrio) {
            $user->role_id = $user->is_admin ? $admin_barrio->id :
                ($user->is_compras ? $comision->id : $barrio->id);
            $user->save();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('user', function (Blueprint $table) {
            $table->dropForeign('role_id');
        });
    }
}
