<?php

use App\User;
use App\UserRole;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class SimplificarUsers extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn(['is_admin', 'is_compras']);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->boolean('is_admin')->default(false);
            $table->boolean('is_compras')->default(false);
        });

        $admin_barrio = UserRole::where('nombre', 'admin_barrio')->first();
        $comision = UserRole::where('nombre', 'comision')->first();
        foreach (User::all() as $user) {
            $user->is_admin = $user->role_id == $admin_barrio->id;
            $user->is_compras = $user->role_id == $comision->id;
            $user->save();
        }
    }
}
