<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class SimplificarProductos extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('productos', function (Blueprint $table) {
            $table->dropColumn([
                'presentacion',
                'stock',
                'imagen_id',
                'descripcion',
                'apto_veganxs',
                'apto_celiacxs',
            ]);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('productos', function (Blueprint $table) {
            $table->integer('presentacion')->nullable();
            $table->integer('stock')->nullable();
            $table->foreignId('imagen_id')->nullable();
            $table->string('descripcion')->nullable();
            $table->boolean('apto_veganxs')->nullable();
            $table->boolean('apto_celiacxs')->nullable();
        });
    }
}
