import axios from "axios";

const state = {
    grupo_de_compra_id: null,
    grupo_de_compra: null,
    devoluciones_habilitadas: null,
    pedidos: [],
};

const mutations = {
    setGrupoDeCompra(state, { grupo_de_compra }) {
        state.grupo_de_compra_id = grupo_de_compra.id;
        state.grupo_de_compra = grupo_de_compra.nombre;
        state.devoluciones_habilitadas = grupo_de_compra.devoluciones_habilitadas;
    },
    setPedidos(state, pedidos) {
        state.pedidos = pedidos;
    },
};

const actions = {
    async getGrupoDeCompra({ commit }) {
        const response = await axios.get('/user/grupo_de_compra');
        commit('setGrupoDeCompra', response.data);
    },
    async getPedidos({ commit }, nombre) {
        const response = await axios.get('/api/subpedidos/',{
            params: {
                nombre: nombre,
                grupo_de_compra: state.grupo_de_compra_id
            }
        });
        commit('setPedidos', response.data);
    }
};

export default {
    namespaced: true,
    state,
    mutations,
    actions,
};
